Subject: bug#66604: [PATCH] Gud LLDB completions

From: Gerd Möllmann <[email-masked]>
Date: Sat, 21 Oct 2023 14:33:13 +0200

Mattias Engdegård <[email-masked]> writes:

> 21 okt. 2023 kl. 12.32 skrev Gerd Möllmann <[email-masked]>:
>
>> I'm now resasobly convinced that this is kind of a bug in LLDB.  It
>> doesn't check if it has an ANSI terminal sometimes, and sends ANSI
>> cursor movement sequences anyway.
>
> I'm not sure exactly when CHA first appeared; VT220 doesn't have it
> but VT510 does. (Even VT100 has ED.)  Of course we're not exactly
> happy with a terminal using any kind of editing sequences.

Yeah, but TERM is "dumb", so I think lldb shouldn't emit this.